<?php
/*This file is part of Magic Elementor child theme.

All functions of this file will be loaded before of parent theme functions.
Learn more at https://codex.wordpress.org/Child_Themes.

Note: this function loads the parent stylesheet before, then child theme stylesheet
(leave it in place unless you know what you are doing.)
*/
$colorful_blog_plus_theme = wp_get_theme();
if (!defined('COLORFUL_BLOG_PLUS_VERSION')) {
	// Replace the version number of the theme on each release.
	define('COLORFUL_BLOG_PLUS_VERSION', $colorful_blog_plus_theme->get('Version'));
}

function colorful_blog_plus_fonts_url()
{
	$fonts_url = '';

	$font_families = array();

	$font_families[] = 'Poppins:400,600';
	$font_families[] = 'Roboto:400,600,700';

	$query_args = array(
		'family' => urlencode(implode('|', $font_families)),
		'subset' => urlencode('latin,latin-ext'),
	);

	$fonts_url = add_query_arg($query_args, 'https://fonts.googleapis.com/css');

	return esc_url_raw($fonts_url);
}


function colorful_blog_plus_enqueue_child_styles()
{
	wp_enqueue_style('colorful-blog-plus-google-font', colorful_blog_plus_fonts_url(), array(), null);
	wp_enqueue_style('colorful-blog-plus-parent-style', get_template_directory_uri() . '/style.css', array('colorful-blog-style'), COLORFUL_BLOG_PLUS_VERSION, 'all');
	wp_enqueue_style('colorful-blog-plus-main', get_stylesheet_directory_uri() . '/assets/css/main.css', array('bootstrap', 'colorful-blog-style', 'colorful-blog-main-style', 'colorful-blog-default-style'), COLORFUL_BLOG_PLUS_VERSION, 'all');
}
add_action('wp_enqueue_scripts', 'colorful_blog_plus_enqueue_child_styles');





add_filter('excerpt_more', 'colorful_blog_plus_exerpt_empty_string', 999);
function colorful_blog_plus_exerpt_empty_string($more)
{
	if (is_admin()) {
		return $more;
	}
	return '';
}
/**
 * Customizer additions.
 */
require get_stylesheet_directory() . '/inc/customizer.php';
